Bug 7248 - Desktop crashes when pointing at .odt files
: Desktop crashes when pointing at .odt files
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-27 18:40 MSD by modd1e
Modified: 2016-08-30 18:47 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Desktop crashes (145.79 KB, image/png)
2016-07-27 18:40 MSD, modd1e
Details

Note You need to log in before you can comment on or make changes to this bug.
Description modd1e 2016-07-27 18:40:15 MSD
Created attachment 4514 [details]
Desktop crashes

Description of problem:
Every time, when I point my mouse at .odt files that include imported images, I get black screen with windows I opened earlier in front of it (attachment). After some time (about half a minute) "SimpleWelcome" window appears. Nothing reacts whithin this period and for time some after I close "SimpleWelcome" window. After about a minute everything goes back to normal.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create .odt file
2. Import an image into created file
3. Save it to users desktop directory
4. Point a cursor at the file (not click)


If I start plasma-desktop in terminal I can see following messages:
Assertion buf_size >= 0 failed at ./libavcodec/bytestream.h:137                                         
KCrash: Attempting to start /usr/bin/plasma-desktop from kdeinit                                        
KCrash: Connect sock_file=/home/oleg/.kde4/socket-oleg-Lenovo/kdeinit4__0                               
KCrash: Application 'plasma-desktop' crashing...
Comment 1 modd1e 2016-07-27 18:44:41 MSD
There are some bugs that seem similar:
https://bugs.mageia.org/show_bug.cgi?id=17372
https://bugs.kde.org/show_bug.cgi?id=357220
Comment 2 Ural Mullabaev 2016-07-27 19:37:57 MSD
I investigated a little this issue and found out that it happens when folderview applet try to show tooltip for icon (.odt file).

    tooltipwidget.cpp:78:
    Plasma::ToolTipManager::self()->show(this); 

For showing tooltip uses a preview image that is performed by converting ffmpeg plugins ("imagethumbnail", "jpegthumbnail"). It seems that some thing goes wrong during creating preview image.  
I suppose it is ffmpeg bug.
Comment 3 Ural Mullabaev 2016-08-17 17:51:35 MSD
Проблему можно решить таким хаком - убрать отображения метаданных для odt-файлов в всплывающей подсказке. Кстати, эти данные (количество страниц, количество слов), в любом случае, не отображаются. Я, по крайней мере, их никогда не видел.
Думаю, такой хак уместен, хотя бы, как временное решение, когда еще пофиксят ffmpeg. Тем более, что под Plasma 5 такой проблемы нет, видно там аналог folderview уже даже не пытается получить такие данные.

Вот билдлисты для тестирования:
https://abf.io/build_lists/2708988
https://abf.io/build_lists/2708989

Если решение будет признано приемлемым пересобиру в import.
Comment 4 Vladimir Potapov 2016-08-17 18:19:35 MSD
давай в импорт, вроде работает.
Comment 5 Ural Mullabaev 2016-08-18 15:39:16 MSD
Advisory: 
Removed getting of .odt files metadata from folderview applet. It allows fix plasma crashes when preview image is performing for tooltip by ffmpeg plugin.


Build lists:
https://abf.io/build_lists/2709005
https://abf.io/build_lists/2709006
Comment 6 Vladimir Potapov 2016-08-25 05:52:35 MSD
The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2016-08-30 18:30:43 MSD
kdebase4-4.14.3-6
https://abf.io/build_lists/2709005
https://abf.io/build_lists/2709006
**************************** Advisory ******************************
Removed getting of .odt files metadata from folderview applet. It allows fix plasma crashes when preview image is performing for tooltip by ffmpeg plugin.
********************************************************************
QA Verified